Bug 206228 - [ml_IN] GSUB rule to reverse U0D4D and U0D30
[ml_IN] GSUB rule to reverse U0D4D and U0D30
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Leon Ho
: i18n
Depends On:
  Show dependency treegraph
Reported: 2006-09-12 22:21 EDT by Leon Ho
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-13 23:03:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch (887 bytes, patch)
2006-09-12 22:24 EDT, Leon Ho
no flags Details | Diff

  None (edit)
Description Leon Ho 2006-09-12 22:21:09 EDT
Description of problem:
>>>>When indic_ot_reorder() finds the unicodes' string includes the 
>>>>sequence of Cons+(U+0x0d4d)+(U+0x0d30), it moves (U+0x0d30) to the 
>>>>first position of the string, and moves Cons to the last position of 
>>>>the string.
>>>This sounds a good solution and if it works for other font, it can 
>>>work for lohit also.
>>>Only modification I think required now is to modify the GSUB rule of 
>>>the combination (U+0x0d4d)+(U+0x0d30) and make it reverse.
Comment 1 Leon Ho 2006-09-12 22:24:01 EDT
Created attachment 136132 [details]
Comment 2 Leon Ho 2006-09-12 22:37:23 EDT
Rahul, please confirm if we need the fix

I cannot see any failures on U0D4D+U0D30.

(I only see UXXXX+U0D4D+U0D32 and UXXXX+U0D4D+U0D31 failures in ml_IN test results.)
Comment 3 Liang Zhang 2006-09-13 01:56:04 EDT
I wrote a patch for the bug about Cons + 0d4d + 0d31 in Pango upsteam.
Comment 4 Leon Ho 2006-09-13 04:50:54 EDT
This is what LingNing has written to work with the font patch in comment #1
Comment 5 Leon Ho 2006-09-13 23:03:10 EDT
Fixed on fonts-indic-2.0.2-1

Note You need to log in before you can comment on or make changes to this bug.